org.appng.formtags

## Enum FormElement.InputType

- java.lang.Object
- - java.lang.Enum<FormElement.InputType>
  - - org.appng.formtags.FormElement.InputType

- All Implemented Interfaces:
    Serializable, Comparable<FormElement.InputType>
  Enclosing class:
    FormElement

      public static enum FormElement.InputType
      extends Enum<FormElement.InputType>

  Defines the possible types for an HTML `<input>`-element
  Author:
    Matthias Müller

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKBOX` `<input type="checkbox" />`
    `FILE` `<input type="file" />`
    `HIDDEN` `<input type="hidden" />`
    `PASSWORD` `<input type="password" />`
    `RADIO` `<input type="radio" />`
    `TEXT` `<input type="text" />`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormElement.InputType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FormElement.InputType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RADIO

          public static final FormElement.InputType RADIO

      `<input type="radio" />`

    - #### FILE

          public static final FormElement.InputType FILE

      `<input type="file" />`

    - #### CHECKBOX

          public static final FormElement.InputType CHECKBOX

      `<input type="checkbox" />`

    - #### HIDDEN

          public static final FormElement.InputType HIDDEN

      `<input type="hidden" />`

    - #### PASSWORD

          public static final FormElement.InputType PASSWORD

      `<input type="password" />`

    - #### TEXT

          public static final FormElement.InputType TEXT

      `<input type="text" />`

  - ### Method Detail

    - #### values

          public static FormElement.InputType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormElement.InputType c : FormElement.InputType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormElement.InputType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2011–2023 aiticon GmbH. All rights reserved.